%define name	gnome-sensors-applet
%define version 2.2.1
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	Detailed hardware monitoring applet for GNOME2
Version: 	%{version}
Release: 	%{release}

Source:		http://sensors-applet.sourceforge.net/downloads/sensors-applet-%{version}.tar.gz
# (fc) 2.2.1-2mdv fix location of applet, caused by libdir == libexecdir (Mdv bug #37154)
Patch0:		sensors-applet-2.2.1-fixlibdir.patch
URL:		http://sensors-applet.sourceforge.net/
License:	GPLv2+
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libpanel-applet-2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:	libnotify-devel
BuildRequires:  scrollkeeper
BuildRequires:  gnome-doc-utils libxslt-proc
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
GNOME Sensors Applet is an applet for the GNOME Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds and
voltage readings under Linux.

Interfaces via the Linux kernel i2c modules.

%package devel
Group:	Development/GNOME and GTK+
Summary: Development files for gnome-sensors-applet
Requires: %name = %version

%description devel
This package contains development files for gnome-sensors-applet.

%prep
%setup -q -n sensors-applet-%version
%patch0 -p1 -b .fixlibdir

%build
%configure2_5x --disable-scrollkeeper --enable-libnotify
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/sensors-applet/plugins
%makeinstall_std
%find_lang sensors-applet

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_scrollkeeper

%postun
%clean_icon_cache hicolor
%clean_scrollkeeper

%files -f sensors-applet.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/sensors-applet
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/help/sensors-applet
%dir %{_datadir}/omf/sensors-applet
%{_datadir}/omf/sensors-applet/*-C.omf
%_datadir/icons/hicolor/*/*/*.png
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir/sensors-applet/*.h
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so



%changelog
* Mon Feb 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2.2.1-2mdv2008.1
+ Revision: 162005
- Patch0:  fix location of applet, caused by libdir == libexecdir (Mdv bug #37154)

* Wed Dec 26 2007 Funda Wang <fundawang@mandriva.org> 2.2.1-1mdv2008.1
+ Revision: 137903
- New version 2.2.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Jérôme Soyer <saispo@mandriva.org> 2.0.1-1mdv2008.1
+ Revision: 119278
- New release 2.0.1


* Wed Nov 22 2006 Jérôme Soyer <saispo@mandriva.org> 1.7.10-1mdv2007.0
+ Revision: 86061
- New release 1.7.10
- Import gnome-sensors-applet

* Sat Sep 02 2006 Götz Waschk <waschk@mandriva.org> 1.7.8-1mdv2007.0
- rebuild for new clean_icon_cache macro

* Fri Sep 01 2006 Gtz Waschk <waschk@mandriva.org> 1.7.8-2mdv2007.0
- handle scrollkeeper
- remove icon cache, it doesn't belong here

* Fri Aug 25 2006 Jerome Soyer <saispo@mandriva.org> 1.7.8-1mdv2007.0
- New release 1.7.8

* Wed Aug 23 2006 Jerome Soyer <saispo@mandriva.org> 1.7.7-1mdv2007.0
- New release 1.7.7

* Tue Aug 08 2006 Jerome Soyer <saispo@mandriva.org> 1.7.6-1mdv2007.0
- New release 1.7.6

* Tue Jul 25 2006 Jerome Soyer <saispo@mandriva.org> 1.7.5-1mdv2007.0
- New release 1.7.5

* Sun Apr 16 2006 Austin Acton <austin@mandriva.org> 1.6.1-1mdk
- New release 1.6.1

* Sun Oct 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-2mdk
- BuildRequires fix

* Sun Oct 02 2005 Austin Acton <austin@mandriva.org> 1.5-1mdk
- New release 1.5

* Fri Jul 08 2005 Austin Acton <austin@mandriva.org> 1.2-1mdk
- New release 1.2

* Sat Jul 02 2005 Austin Acton <austin@mandriva.org> 1.0-1mdk
- New release 1.0

* Sun Jun 05 2005 Austin Acton <austin@mandriva.org> 0.7.3-1mdk
- New release 0.7.3

* Wed Apr 20 2005 Austin Acton <austin@mandrake.org> 0.7.2-1mdk
- New release 0.7.2

* Tue Apr 05 2005 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- New release 0.7.1

* Thu Mar 10 2005 Austin Acton <austin@mandrake.org> 0.7-1mdk
- 0.7

* Sun Feb 20 2005 Austin Acton <austin@mandrake.org> 0.6.2-1mdk
- 0.6.2

* Wed Feb 16 2005 Austin Acton <austin@mandrake.org> 0.6.1-1mdk
- 0.6.1

* Sat Feb 05 2005 Austin Acton <austin@mandrake.org> 0.6.0-1mdk
- 0.6.0

* Tue Feb 01 2005 Austin Acton <austin@mandrake.org> 0.5.0-1mdk
- 0.5.0

* Mon Jan 31 2005 Austin Acton <austin@mandrake.org> 0.4.0-1mdk
- 0.4.0

* Sat Jan 29 2005 Austin Acton <austin@mandrake.org> 0.3.0-1mdk
- 0.3.0

* Tue Jan 25 2005 Austin Acton <austin@mandrake.org> 0.2.2-2mdk
- add TODO at author's request

* Mon Jan 24 2005 Austin Acton <austin@mandrake.org> 0.2.2-1mdk
- 0.2.2

* Mon Jan 17 2005 Austin Acton <austin@mandrake.org> 0.1-1mdk
- initial package

